OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_MeasureValueMember Class Reference

for Select MeasureValue, i.e. :
length_measure,time_measure,plane_angle_measure,
solid_angle_measure,ratio_measure,parameter_value,
context_dependent_measure,positive_length_measure,
positive_plane_angle_measure,positive_ratio_measure,
area_measure,volume_measure

`#include <StepBasic_MeasureValueMember.hxx>`

Inheritance diagram for StepBasic_MeasureValueMember:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_MeasureValueMember ()
virtual Standard_EXPORT Standard_Boolean | HasName () const
| Tells if a SelectMember has a name. Default is False .
virtual Standard_EXPORT Standard_CString | Name () const
| Returns the name of a SelectMember. Default is empty .
virtual Standard_EXPORT Standard_Boolean | SetName (const Standard_CString name)
| Sets the name of a SelectMember, returns True if done, False if no name is allowed Default does nothing and returns False .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | thecase

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_MeasureValueMember::StepBasic_MeasureValueMember | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_MeasureValueMember::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_SelectReal.

virtual Standard_EXPORT Standard_Boolean StepBasic_MeasureValueMember::HasName | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_CString StepBasic_MeasureValueMember::Name | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_Boolean StepBasic_MeasureValueMember::SetName | ( | const Standard_CString | name | ) | `[virtual]`

| Reimplemented from StepData_SelectMember.

## Field Documentation

Standard_Integer StepBasic_MeasureValueMember::thecase`[private]`

The documentation for this class was generated from the following file:

- StepBasic_MeasureValueMember.hxx